Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class CustomerPaymentStatusReportV03

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.CustomerPaymentStatusReportV03

    public class CustomerPaymentStatusReportV03
    extends java.lang.Object

Java class for CustomerPaymentStatusReportV03 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CustomerPaymentStatusReportV03">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}GroupHeaderSEPA"/>
             <element name="OrgnlGrpInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}OriginalGroupInformationSEPA"/>
             <element name="OrgnlPmtInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}OriginalPaymentInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected GroupHeaderSEPA` `grpHdr`
`protected OriginalGroupInformationSEPA` `orgnlGrpInfAndSts`
`protected java.util.List<OriginalPaymentInformationSEPA>` `orgnlPmtInfAndSts`

### Constructor Summary

Constructors
`CustomerPaymentStatusReportV03()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupHeaderSEPA` `getGrpHdr()` Gets the value of the grpHdr property.
`OriginalGroupInformationSEPA` `getOrgnlGrpInfAndSts()` Gets the value of the orgnlGrpInfAndSts property.
`java.util.List<OriginalPaymentInformationSEPA>` `getOrgnlPmtInfAndSts()` Gets the value of the orgnlPmtInfAndSts property.
`void` `setGrpHdr​(GroupHeaderSEPA value)` Sets the value of the grpHdr property.
`void` `setOrgnlGrpInfAndSts​(OriginalGroupInformationSEPA value)` Sets the value of the orgnlGrpInfAndSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### grpHdr

    protected GroupHeaderSEPA grpHdr

#### orgnlGrpInfAndSts

    protected OriginalGroupInformationSEPA orgnlGrpInfAndSts

#### orgnlPmtInfAndSts

    protected java.util.List<OriginalPaymentInformationSEPA> orgnlPmtInfAndSts

### Constructor Detail

#### CustomerPaymentStatusReportV03

    public CustomerPaymentStatusReportV03()

### Method Detail

#### getGrpHdr

    public GroupHeaderSEPA getGrpHdr()

Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeaderSEPA`

#### setGrpHdr

    public void setGrpHdr​(GroupHeaderSEPA value)

Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeaderSEPA`

#### getOrgnlGrpInfAndSts

    public OriginalGroupInformationSEPA getOrgnlGrpInfAndSts()

Gets the value of the orgnlGrpInfAndSts property.

Returns:
  possible object is `OriginalGroupInformationSEPA`

#### setOrgnlGrpInfAndSts

    public void setOrgnlGrpInfAndSts​(OriginalGroupInformationSEPA value)

Sets the value of the orgnlGrpInfAndSts property.

Parameters:
  `value` - allowed object is `OriginalGroupInformationSEPA`

#### getOrgnlPmtInfAndSts

    public java.util.List<OriginalPaymentInformationSEPA> getOrgnlPmtInfAndSts()

Gets the value of the orgnlPmtInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the orgnlPmtInfAndSts property.

For example, to add a new item, do as follows:

        getOrgnlPmtInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `OriginalPaymentInformationSEPA`